Subject: Re: [PATCH 5/6] IP100A correct init and close step

From: Jeff Garzik <[email-masked]>
Date: Fri, 18 Aug 2006 07:12:57 -0400

Jesse Huang wrote:
> Hi Jeff:
> (1)Should I change to :
> spin_lock_irqsave(&np->lock,flags);
> reset_tx(dev);
> spin_lock_irqrestore(&np->lock,flags);
> 
> (2)I will remove date and author information out of source code comment.

Correct.

Also:

(3) Use iowrite16(), not writew().  I just noticed this bug. 
iowrite16() will work for both MMIO and IO cycles, writew() only works 
for MMIO.

(4) We need a description of why this change is needed.  What does 
writing 0x500 to DMACtrl actually do?  Why do we need to do this?

	Jeff